# Z3 Trace Tags Documentation

This document contains the trace tags and their descriptions used in Z3.

| Tag | Class | Description |
|-----|-------|-------------|
| CRA | Global | CRA |
| Global | Global | Unknown Class |
| Lazard | Global | Lazard |
| QF_AUFLIA | Global | QF AUFLIA |
| TAG | Global | TAG |
| ac_sharing_detail | Global | ac sharing detail |
| ack | Global | ack |
| ackermannize | Global | ackermannize |
| ackermannize_bv_tactic | ackermannize_bv_tactic | ackermannize bv tactic |
| activity_profile | Global | activity profile |
| add_bound | Global | add bound |
| add_bounds | add_bounds_tactic | add bounds |
| add_bounds_tactic | add_bounds_tactic | add bounds tactic |
| add_bug | Global | add bug |
| add_constraint_bug | imp | add constraint bug |
| add_diseq | Global | add diseq |
| add_diseq_inconsistent | Global | add diseq inconsistent |
| add_eq | Global | add eq |
| add_eq_bug | Global | add eq bug |
| add_eq_detail | Global | add eq detail |
| add_eq_parents | Global | add eq parents |
| add_var | lar_solver | add var |
| add_watch_literal_bug | Global | add watch literal bug |
| after_bit_blaster | imp | after bit blaster |
| after_bv_size_reduction | bv_size_reduction_tactic | after bv size reduction |
| after_cleanup | Global | after cleanup |
| after_first_propagate | Global | after first propagate |
| after_init_search | Global | after init search |
| after_internalization | Global | after internalization |
| after_internalize_assertions | Global | after internalize assertions |
| after_pop | parser | after pop |
| after_quasi_macros | Global | after quasi macros |
| after_reduce | Global | after reduce |
| after_reduce_ll | Global | after reduce ll |
| after_search | Global | after search |
| after_simplifier | Global | after simplifier |
| after_simplifier_detail | Global | after simplifier detail |
| aig2expr | Global | aig2expr |
| aig_lit_count | Global | aig lit count |
| aig_simplifier | Global | aig simplifier |
| algebraic | Global | algebraic |
| algebraic2expr | Global | algebraic2expr |
| algebraic_bug | Global | algebraic bug |
| algebraic_select | Global | algebraic select |
| anf_simplifier | Global | anf simplifier |
| anum_detail | Global | anum detail |
| anum_eval_sign | Global | anum eval sign |
| anum_mk_binary | Global | anum mk binary |
| app_ground | Global | app ground |
| are_distinct_bug | Global | are distinct bug |
| arith | Global | arith |
| arith_adaptive | Global | arith adaptive |
| arith_bound | Global | arith bound |
| arith_bounds_tactic | arith_bounds_tactic | arith bounds tactic |
| arith_bug | Global | arith bug |
| arith_conflict | Global | arith conflict |
| arith_eq | Global | arith eq |
| arith_eq_adapter | Global | arith eq adapter |
| arith_eq_adapter_bug | Global | arith eq adapter bug |
| arith_eq_adapter_detail | Global | arith eq adapter detail |
| arith_eq_adapter_info | Global | arith eq adapter info |
| arith_eq_adapter_mk_axioms | Global | arith eq adapter mk axioms |
| arith_eq_adapter_perf | Global | arith eq adapter perf |
| arith_eq_adapter_profile | Global | arith eq adapter profile |
| arith_eq_adapter_profile_detail | Global | arith eq adapter profile detail |
| arith_eq_adapter_relevancy | Global | arith eq adapter relevancy |
| arith_eq_solver | Global | arith eq solver |
| arith_eq_verbose | Global | arith eq verbose |
| arith_final | Global | arith final |
| arith_imply_bound | Global | arith imply bound |
| arith_init_search | Global | arith init search |
| arith_int | Global | arith int |
| arith_int_detail | Global | arith int detail |
| arith_int_fracs_min_max | Global | arith int fracs min max |
| arith_int_freedom | Global | arith int freedom |
| arith_int_incomp | Global | arith int incomp |
| arith_int_inf | Global | arith int inf |
| arith_int_rows | Global | arith int rows |
| arith_internalize | Global | arith internalize |
| arith_internalize_detail | Global | arith internalize detail |
| arith_make_feasible | Global | arith make feasible |
| arith_make_feasible_detail | Global | arith make feasible detail |
| arith_mk_polynomial | Global | arith mk polynomial |
| arith_mod | Global | arith mod |
| arith_new_diseq_eh | Global | arith new diseq eh |
| arith_new_eq_eh | Global | arith new eq eh |
| arith_pivot | Global | arith pivot |
| arith_pivoting | Global | arith pivoting |
| arith_pop_scope_bug | Global | arith pop scope bug |
| arith_proof | Global | arith proof |
| arith_prop | Global | arith prop |
| arith_rand | Global | arith rand |
| arith_relevant_eh | Global | arith relevant eh |
| arith_rewriter | Global | arith rewriter |
| arith_rewriter_gcd | Global | arith rewriter gcd |
| arith_subsumption | arith_bounds_tactic | arith subsumption |
| arith_value | Global | arith value |
| arith_verbose | Global | arith verbose |
| array | Global | array |
| array_axiom | Global | array axiom |
| array_axiom2b | Global | array axiom2b |
| array_bug | Global | array bug |
| array_decl_plugin_bug | Global | array decl plugin bug |
| array_ext | Global | array ext |
| array_factory | Global | array factory |
| array_factory_bug | Global | array factory bug |
| array_map_bug | Global | array map bug |
| array_rewriter | Global | array rewriter |
| artih | Global | artih |
| assert_bound | Global | assert bound |
| assert_distinct | Global | assert distinct |
| assert_eq_bug | ctx_propagate_assertions | assert eq bug |
| assert_expr_bug | Global | assert expr bug |
| assert_k_diseq_exceptions | auf_solver | assert k diseq exceptions |
| asserted_formulas | Global | asserted formulas |
| asserted_formulas_bug | Global | asserted formulas bug |
| asserted_formulas_scopes | Global | asserted formulas scopes |
| assign_bit_bug | Global | assign bit bug |
| assign_core | Global | assign core |
| assign_profile | Global | assign profile |
| assign_quantifier_bug | Global | assign quantifier bug |
| assigned_literals_per_lvl | Global | assigned literals per lvl |
| assume_eq | Global | assume eq |
| assume_eq_int | Global | assume eq int |
| assume_eqs | Global | assume eqs |
| assumption | Global | assumption |
| assumptions | Global | assumptions |
| ast | Global | ast |
| ast_delete_node | Global | ast delete node |
| ast_pp_dot_st | ast_pp_dot_st | ast pp dot st |
| ast_translation | Global | ast translation |
| asymm_branch | Global | asymm branch |
| asymm_branch_detail | Global | asymm branch detail |
| auf_solver | auf_solver | auf solver |
| ba | Global | ba |
| ba_verbose | Global | ba verbose |
| bcd | Global | bcd |
| bcp_bug | Global | bcp bug |
| bdd | Global | bdd |
| before_bit_blaster | imp | before bit blaster |
| before_bv_size_reduction | bv_size_reduction_tactic | before bv size reduction |
| before_check_sat | Global | before check sat |
| before_quasi_macros | Global | before quasi macros |
| before_reduce | Global | before reduce |
| before_sat_solver | imp | before sat solver |
| before_search | Global | before search |
| before_split_clause | split_clause_tactic | before split clause |
| begin_assert_expr | Global | begin assert expr |
| begin_assert_expr_ll | Global | begin assert expr ll |
| berlekamp_matrix | berlekamp_matrix | berlekamp matrix |
| bin_clause_bug | Global | bin clause bug |
| bindings | Global | bindings |
| bit2int | Global | bit2int |
| bit2int_verbose | Global | bit2int verbose |
| bit_blaster | Global | bit blaster |
| bit_vector | Global | bit vector |
| bitwise_not | Global | bitwise not |
| blands_rule | Global | blands rule |
| blast_eq_value | Global | blast eq value |
| blast_term_ite | rw_cfg | blast term ite |
| blocked_clause | Global | blocked clause |
| blocked_clause_bug | Global | blocked clause bug |
| bmc | Global | bmc |
| bool_plugin | bool_plugin | bool plugin |
| bound_analyzer | Global | bound analyzer |
| bound_bug | Global | bound bug |
| bound_manager | Global | bound manager |
| bound_propagator | Global | bound propagator |
| bound_propagator_derived | Global | bound propagator derived |
| bound_propagator_detail | Global | bound propagator detail |
| bound_propagator_step | Global | bound propagator step |
| bound_propagator_step_detail | Global | bound propagator step detail |
| bound_relation | Global | bound relation |
| bounded_int2bv_solver | bounded_int2bv_solver | bounded int2bv solver |
| bounded_search | Global | bounded search |
| bv | Global | bv |
| bv2fpa | Global | bv2fpa |
| bv2fpa_rebuild | Global | bv2fpa rebuild |
| bv2int_bug | Global | bv2int bug |
| bv2int_rewriter | Global | bv2int rewriter |
| bv2real_rewriter | Global | bv2real rewriter |
| bv_are_distinct | Global | bv are distinct |
| bv_bit_prop | Global | bv bit prop |
| bv_bound_chk_rewriter_cfg | bv_bound_chk_rewriter_cfg | bv bound chk rewriter cfg |
| bv_bound_chk_step | bv_bound_chk_rewriter_cfg | bv bound chk step |
| bv_bounds | Global | bv bounds |
| bv_bug | Global | bv bug |
| bv_diseq_axiom | Global | bv diseq axiom |
| bv_eq | Global | bv eq |
| bv_ite | Global | bv ite |
| bv_op | Global | bv op |
| bv_size_reduction | bv_size_reduction_tactic | bv size reduction |
| bv_size_reduction_tactic | bv_size_reduction_tactic | bv size reduction tactic |
| bv_udiv | Global | bv udiv |
| bv_verbose | Global | bv verbose |
| bvarray2uf_rw | Global | bvarray2uf rw |
| bvarray2uf_rw_q | Global | bvarray2uf rw q |
| cached_generation | Global | cached generation |
| card | Global | card |
| card2bv | Global | card2bv |
| carry | Global | carry |
| carry_sorted | Global | carry sorted |
| case_split | Global | case split |
| causality | Global | causality |
| cg | Global | cg |
| cg_table | Global | cg table |
| chainable | Global | chainable |
| change_x_del | Global | change x del |
| chashtable | Global | chashtable |
| check_enode | Global | check enode |
| check_explanation | Global | check explanation |
| check_logic | Global | check logic |
| check_main_int | Global | check main int |
| check_relevancy | Global | check relevancy |
| check_sat_using | check_sat_using_tactic_cmd | check sat using |
| check_sat_using_tactic_cmd | check_sat_using_tactic_cmd | check sat using tactic command |
| check_th_diseq_propagation | Global | check th diseq propagation |
| checker | Global | checker |
| clause_proof | Global | clause proof |
| clause_use_list_bug | Global | clause use list bug |
| cleanup_bug | Global | cleanup bug |
| cluster_stats | Global | cluster stats |
| cluster_stats_verb | Global | cluster stats verb |
| cmd_context | Global | cmd context |
| cmd_context_detail | Global | cmd context detail |
| coeff_bug | Global | coeff bug |
| cofactor | Global | cofactor |
| cofactor_bug | Global | cofactor bug |
| cofactor_ite | Global | cofactor ite |
| collect | Global | collect |
| collect_info | Global | collect info |
| collector | Global | collector |
| combined_solver | combined_solver | combined solver |
| coming_from_quant | Global | coming from quant |
| comm_proof_bug | Global | comm proof bug |
| compiler | compiler | compiler |
| concretize | Global | concretize |
| conflict | Global | conflict |
| conflict_ | Global | conflict  |
| conflict_bug | Global | conflict bug |
| conflict_detail | Global | conflict detail |
| conflict_detail_verbose | Global | conflict detail verbose |
| conflict_smt2 | Global | conflict smt2 |
| conflict_verbose | Global | conflict verbose |
| consume_attributes | parser | consume attributes |
| content_bug | Global | content bug |
| context | Global | context |
| context_lemma | Global | context lemma |
| context_proof | Global | context proof |
| context_proof_hack | Global | context proof hack |
| conv_rewriter_cfg | conv_rewriter_cfg | conv rewriter cfg |
| convert_bug | Global | convert bug |
| copy_families_plugins | Global | copy families plugins |
| core_array_eq | Global | core array eq |
| core_eq | Global | core eq |
| cosine | Global | cosine |
| create_cut | create_cut | create cut |
| cross_nested | Global | cross nested |
| cross_nested_bug | Global | cross nested bug |
| ctx_propagate_assertions | ctx_propagate_assertions | ctx propagate assertions |
| ctx_simplify_tactic | Global | ctx simplify tactic |
| ctx_simplify_tactic_bug | Global | ctx simplify tactic bug |
| ctx_simplify_tactic_cache | Global | ctx simplify tactic cache |
| ctx_simplify_tactic_detail | Global | ctx simplify tactic detail |
| ctx_simplify_tactic_ite_bug | Global | ctx simplify tactic ite bug |
| ctx_solver_simplify_tactic | ctx_solver_simplify_tactic | ctx solver simplify tactic |
| cube | lar_solver | cube |
| current_solution_is_inf_on_cut | Global | current solution is inf on cut |
| cut_simplifier | Global | cut simplifier |
| cvx_dbg | Global | cvx dbg |
| cvx_dbg_verb | Global | cvx dbg verb |
| d_undo | Global | d undo |
| datatype | Global | datatype |
| datatype_bug | Global | datatype bug |
| datatype_conflict | Global | datatype conflict |
| datatype_detail | Global | datatype detail |
| datatype_parser_bug | parser | datatype parser bug |
| datatype_verbose | Global | datatype verbose |
| dd_solver | Global | dd.solver |
| dd_solver_d | Global | dd.solver d |
| ddl | Global | ddl |
| ddl_detail | Global | ddl detail |
| ddl_model | Global | ddl model |
| decide | Global | decide |
| decide_detail | Global | decide detail |
| declare_const | parser | declare const |
| declare_datatypes | parser | declare datatypes |
| deep_internalize | Global | deep internalize |
| default_qm_plugin | default_qm_plugin | default qm plugin |
| degree_shift | imp | degree shift |
| del_atoms | Global | del atoms |
| del_inactive_lemmas | Global | del inactive lemmas |
| del_quantifier | Global | del quantifier |
| delete_node_bug | Global | delete node bug |
| demodulator | Global | demodulator |
| demodulator_bug | Global | demodulator bug |
| demodulator_fwd | Global | demodulator fwd |
| demodulator_stack | Global | demodulator stack |
| dep_intervals | Global | dep intervals |
| der | Global | der |
| der_bug | eq_der | der bug |
| derived_bound | Global | derived bound |
| diff_atom | Global | diff atom |
| diff_logic | Global | diff logic |
| diff_logic_traverse | Global | diff logic traverse |
| diff_logic_vars | Global | diff logic vars |
| diff_neq_tactic | imp | diff neq tactic |
| diff_term | Global | diff term |
| dio | Global | dio |
| dio_br | Global | dio br |
| dio_entry | Global | dio entry |
| dio_reg | Global | dio reg |
| dio_remove_fresh | Global | dio remove fresh |
| dio_s | Global | dio s |
| dioph_eq_deb | Global | dioph eq deb |
| diseq_bug | Global | diseq bug |
| distinct | Global | distinct |
| distribute_forall | Global | distribute forall |
| div_axiom_bug | Global | div axiom bug |
| div_bug | Global | div bug |
| divides | Global | divides |
| divides_bug | Global | divides bug |
| dl | Global | dl |
| dl_activity | Global | dl activity |
| dl_bfs | Global | dl bfs |
| dl_bug | Global | dl bug |
| dl_compiler | Global | dl compiler |
| dl_decl_plugin | Global | dl decl plugin |
| dl_eq_bug | Global | dl eq bug |
| dl_interp_tail_simplifier_propagation | Global | dl interp tail simplifier propagation |
| dl_interp_tail_simplifier_propagation_pre | Global | dl interp tail simplifier propagation pre |
| dl_relation | Global | dl relation |
| dl_rule | Global | dl rule |
| dl_rule_transf | Global | dl rule transf |
| dl_rule_unbound_fix | Global | dl rule unbound fix |
| dl_rule_unbound_fix_pre_qe | Global | dl rule unbound fix pre qe |
| dl_table_relation | Global | dl table relation |
| dl_verbose | Global | dl verbose |
| doc | Global | doc |
| dt | Global | dt |
| dt_is_value | Global | dt is value |
| dt_verbose | Global | dt verbose |
| dummy | Global | dummy |
| dump_terms | lar_solver | dump terms |
| dyn_ack | Global | dyn ack |
| dyn_ack_clause | Global | dyn ack clause |
| dyn_ack_inst | Global | dyn ack inst |
| dyn_ack_target | Global | dyn ack target |
| elim_bounds | Global | elim bounds |
| elim_eqs | Global | elim eqs |
| elim_eqs_bug | Global | elim eqs bug |
| elim_lit | Global | elim lit |
| elim_predicates | Global | elim predicates |
| elim_rem | Global | elim rem |
| elim_small_bv | rw_cfg | elim small bv |
| elim_small_bv_app | rw_cfg | elim small bv app |
| elim_small_bv_pre | rw_cfg | elim small bv pre |
| elim_term_ite_bug | Global | elim term ite bug |
| elim_to_real | Global | elim to real |
| elim_uncnstr | elim_uncnstr_tactic | elim uncnstr |
| elim_uncnstr_bug | rw_cfg | elim uncnstr bug |
| elim_uncnstr_bug_ll | rw_cfg | elim uncnstr bug ll |
| elim_uncnstr_tactic | elim_uncnstr_tactic | elim uncnstr tactic |
| elim_unconstrained | Global | elim unconstrained |
| elim_unused_vars | Global | elim unused vars |
| eliminate | Global | eliminate |
| empty_pol | Global | empty pol |
| end_assert_expr_ll | Global | end assert expr ll |
| epsilon_bug | Global | epsilon bug |
| eq | Global | eq |
| eq_der | eq_der | eq der |
| eq_scc | Global | eq scc |
| eq_to_bug | Global | eq to bug |
| eqc_bool | Global | eqc bool |
| equiv | Global | equiv |
| euf | Global | euf |
| euf_completion | Global | euf completion |
| euf_verbose | Global | euf verbose |
| eval_bug | Global | eval bug |
| expand_bnd | Global | expand bnd |
| expand_bnd_verb | Global | expand bnd verb |
| expr2aig | Global | expr2aig |
| expr2polynomial | Global | expr2polynomial |
| expr2var | Global | expr2var |
| expr_abstract | Global | expr abstract |
| expr_context_simplifier | Global | expr context simplifier |
| expr_pattern_match | Global | expr pattern match |
| expr_substitution_simplifier | expr_substitution_simplifier | expr substitution simplifier |
| ext | Global | ext |
| ext_gcd_test | Global | ext gcd test |
| extract_prop | Global | extract prop |
| fact_bug | Global | fact bug |
| factor | Global | factor |
| factor_bug | Global | factor bug |
| factor_rewriter | Global | factor rewriter |
| factor_tactic_bug | rw_cfg | factor tactic bug |
| farkas_learner2 | Global | farkas learner2 |
| feas_bug | Global | feas bug |
| final_check | Global | final check |
| final_check_result | Global | final check result |
| final_check_stats | Global | final check stats |
| final_check_step | Global | final check step |
| find_feas_stats | Global | find feas stats |
| find_infeasible_int_base_var | Global | find infeasible int base var |
| find_ite_bounds | Global | find ite bounds |
| find_ite_bounds_bug | Global | find ite bounds bug |
| find_wpos | Global | find wpos |
| fingerprint_bug | Global | fingerprint bug |
| fits | Global | fits |
| fix_dl_var | imp | fix dl var |
| fix_missing_refs | Global | fix missing refs |
| fixed_var_eh | Global | fixed var eh |
| flush | Global | flush |
| fm | imp | fm |
| fm_bug | imp | fm bug |
| fm_mc | fm_model_converter | fm mc |
| fm_model_converter | fm_model_converter | fm model converter |
| fm_subsumption | imp | fm subsumption |
| for_each_ast | Global | for each ast |
| for_each_relevant_expr | Global | for each relevant expr |
| forget_phase | Global | forget phase |
| fp | Global | fp |
| fp_rewriter | Global | fp rewriter |
| fpa2bv | Global | fpa2bv |
| fpa2bv_add | Global | fpa2bv add |
| fpa2bv_add_core | Global | fpa2bv add core |
| fpa2bv_dbg | Global | fpa2bv dbg |
| fpa2bv_div | Global | fpa2bv div |
| fpa2bv_float_eq | Global | fpa2bv float eq |
| fpa2bv_fma_ | Global | fpa2bv fma  |
| fpa2bv_is_negative | Global | fpa2bv is negative |
| fpa2bv_mc | Global | fpa2bv mc |
| fpa2bv_mk_fp | Global | fpa2bv mk fp |
| fpa2bv_mul | Global | fpa2bv mul |
| fpa2bv_rem | Global | fpa2bv rem |
| fpa2bv_round | Global | fpa2bv round |
| fpa2bv_round_to_integral | Global | fpa2bv round to integral |
| fpa2bv_rw | Global | fpa2bv rw |
| fpa2bv_to_bv | Global | fpa2bv to bv |
| fpa2bv_to_bv_unspecified | Global | fpa2bv to bv unspecified |
| fpa2bv_to_fp | Global | fpa2bv to fp |
| fpa2bv_to_fp_real | Global | fpa2bv to fp real |
| fpa2bv_to_fp_signed | Global | fpa2bv to fp signed |
| fpa2bv_to_fp_unsigned | Global | fpa2bv to fp unsigned |
| fpa2bv_to_ieee_bv | Global | fpa2bv to ieee bv |
| fpa2bv_to_ieee_bv_unspecified | Global | fpa2bv to ieee bv unspecified |
| fpa2bv_to_real | Global | fpa2bv to real |
| fpa2bv_to_sbv | Global | fpa2bv to sbv |
| fpa2bv_to_ubv | Global | fpa2bv to ubv |
| fpa2bv_unpack | Global | fpa2bv unpack |
| fpa_util | Global | fpa util |
| freedom_interval | Global | freedom interval |
| func_decl_alias | Global | func decl alias |
| func_decls | Global | func decls |
| func_interp | Global | func interp |
| func_interp_bug | Global | func interp bug |
| gate_clause | Global | gate clause |
| gb_bug | Global | gb bug |
| gcd | Global | gcd |
| gcd_calls | Global | gcd calls |
| gcd_test | Global | gcd test |
| gcd_test_bug | Global | gcd test bug |
| generation | Global | generation |
| get_assignment_bug | Global | get assignment bug |
| get_implied_equalities | get_implied_equalities_impl | get implied equalities |
| get_implied_equalities_impl | get_implied_equalities_impl | get implied equalities impl |
| get_macro | Global | get macro |
| get_model | Global | get model |
| get_proof | Global | get proof |
| get_proof_bug | Global | get proof bug |
| get_proof_bug_after | Global | get proof bug after |
| get_uninterp_proc | get_uninterp_proc | get uninterp proc |
| gg | Global | gg |
| global | Global | global |
| global_verbose | Global | global verbose |
| goal | ackermannize_bv_tactic | goal |
| goal2nlsat | Global | goal2nlsat |
| goal2nlsat_bug | Global | goal2nlsat bug |
| goal2sat | inc_sat_solver | goal2sat |
| goal2sat_bug | Global | goal2sat bug |
| goal2sat_not_handled | Global | goal2sat not handled |
| gomory_cut | Global | gomory cut |
| gomory_cut_detail | create_cut | gomory cut detail |
| gomory_cut_detail_real | create_cut | gomory cut detail real |
| gparams | Global | gparams |
| grobner | Global | grobner |
| grobner_bug | Global | grobner bug |
| grobner_d | Global | grobner d |
| grobner_d_ | Global | grobner d  |
| grobner_stats_d | Global | grobner stats d |
| guessed_literals | Global | guessed literals |
| heap | Global | heap |
| hilbert_basis | Global | hilbert basis |
| hilbert_basis_verbose | Global | hilbert basis verbose |
| hnf | Global | hnf |
| hnf_calc | Global | hnf calc |
| hnf_cut | Global | hnf cut |
| horn | imp | horn |
| horner_bug | Global | horner bug |
| hyper_res | Global | hyper res |
| imp | imp | imp |
| imply_eq | Global | imply eq |
| in_monovariate_monomials | Global | in monovariate monomials |
| inc_sat_solver | inc_sat_solver | inc sat solver |
| incompleteness_bug | Global | incompleteness bug |
| incremental_matcher | mam_impl | incremental matcher |
| indgen | lemma_inductive_generalizer | indgen |
| inf_rational | Global | inf rational |
| inherit_bug | Global | inherit bug |
| init_bits | Global | init bits |
| init_row_bug | Global | init row bug |
| inj_axiom | Global | inj axiom |
| injectivity | injectivity_tactic | injectivity |
| injectivity_tactic | injectivity_tactic | injectivity tactic |
| insert_macro | Global | insert macro |
| instance | Global | instance |
| instantiate_bug | Global | instantiate bug |
| int2bv | bounded_int2bv_solver | int2bv |
| int_solver | Global | int solver |
| interface_eq | Global | interface eq |
| internalize | Global | internalize |
| internalize_add_bug | Global | internalize add bug |
| internalize_assertion | Global | internalize assertion |
| internalize_assertion_ll | Global | internalize assertion ll |
| internalize_assertions | Global | internalize assertions |
| internalize_bug | Global | internalize bug |
| internalize_ite_term_bug | Global | internalize ite term bug |
| internalize_mul_core | Global | internalize mul core |
| internalize_quantifier | Global | internalize quantifier |
| internalize_quantifier_zero | Global | internalize quantifier zero |
| internalize_theory_atom | Global | internalize theory atom |
| interpolator | Global | interpolator |
| interpreter | interpreter | interpreter |
| interval | Global | interval |
| interval_bug | Global | interval bug |
| interval_nth_root | Global | interval nth root |
| interval_relation | Global | interval relation |
| interval_xn_eq_y | Global | interval xn eq y |
| interval_zero_bug | Global | interval zero bug |
| inv_algebraic | Global | inv algebraic |
| invalid_ptr | Global | invalid ptr |
| is_allone | Global | is allone |
| is_bv_num | parser | is bv num |
| is_diseq | Global | is diseq |
| is_diseq_bug | Global | is diseq bug |
| is_eq_vector | imp | is eq vector |
| is_ext_diseq | Global | is ext diseq |
| is_inconsistent | Global | is inconsistent |
| is_non_nira_functor | is_non_nira_functor | is non nira functor |
| is_occ_bug | imp | is occ bug |
| is_row_useful | Global | is row useful |
| is_shared | Global | is shared |
| is_var_and_ground | quantifier_analyzer | is var and ground |
| is_var_plus_ground | quantifier_analyzer | is var plus ground |
| is_x_gle_t | quantifier_analyzer | is x gle t |
| isolate_roots | Global | isolate roots |
| isolate_roots_bug | Global | isolate roots bug |
| ite_bug | Global | ite bug |
| ite_term_relevancy | ite_term_relevancy_eh | ite term relevancy |
| ite_term_relevancy_eh | ite_term_relevancy_eh | ite term relevancy eh |
| join_planner | join_planner | join planner |
| kernel | kernel | kernel |
| lar_solver | lar_solver | lar solver |
| lar_solver_details | lar_solver | lar solver details |
| lar_solver_feas | Global | lar solver feas |
| lar_solver_improve_bounds | lar_solver | lar solver improve bounds |
| lar_solver_inf_heap | Global | lar solver inf heap |
| lar_solver_model | lar_solver | lar solver model |
| lar_solver_rand | lar_solver | lar solver rand |
| lar_solver_terms | lar_solver | lar solver terms |
| lar_solver_validate | lar_solver | lar solver validate |
| lcm_bug | Global | lcm bug |
| le_bug | Global | le bug |
| le_extra | Global | le extra |
| lemma | Global | lemma |
| lemma_inductive_generalizer | lemma_inductive_generalizer | lemma inductive generalizer |
| let_frame | parser | let frame |
| lex_bug | lex_lt2 | lex bug |
| lex_lt2 | lex_lt2 | lex lt2 |
| lia2pb | imp | lia2pb |
| lia_rewriter_cfg | lia_rewriter_cfg | lia rewriter cfg |
| linear_eq_solver | Global | linear eq solver |
| linear_equation_bug | Global | linear equation bug |
| linear_equation_mk | Global | linear equation mk |
| list | Global | list |
| literal_occ | Global | literal occ |
| lp_core | Global | lp core |
| m_tag | trace_tactic | m tag |
| macro_bug | Global | macro bug |
| macro_finder | Global | macro finder |
| macro_insert | Global | macro insert |
| macro_manager | Global | macro manager |
| macro_manager_bug | Global | macro manager bug |
| macro_util | Global | macro util |
| macros | Global | macros |
| make_var_feasible | Global | make var feasible |
| mam | mam_impl | mam |
| mam_bug | mam_impl | mam bug |
| mam_candidate | mam_impl | mam candidate |
| mam_compiler | compiler | mam compiler |
| mam_compiler_bug | compiler | mam compiler bug |
| mam_compiler_detail | compiler | mam compiler detail |
| mam_execute_core | interpreter | mam execute core |
| mam_impl | mam_impl | mam impl |
| mam_inc_bug | mam_impl | mam inc bug |
| mam_inc_bug_detail | mam_impl | mam inc bug detail |
| mam_info | mam_impl | mam info |
| mam_int | interpreter | mam int |
| mam_lbl_bug | compiler | mam lbl bug |
| mam_new_pat | mam_impl | mam new pat |
| mam_pat | mam_impl | mam pat |
| mam_path_tree | mam_impl | mam path tree |
| mam_path_tree_updt | mam_impl | mam path tree updt |
| mam_stats | default_qm_plugin | mam stats |
| mask_bug | Global | mask bug |
| max_sharing | Global | max sharing |
| may_propagate_bug | Global | may propagate bug |
| mbc | Global | mbc |
| mbi | Global | mbi |
| mbp_tg | Global | mbp tg |
| mbp_tg_verbose | Global | mbp tg verbose |
| mbqi_bug | Global | mbqi bug |
| mbqi_bug_detail | Global | mbqi bug detail |
| mbqi_project | Global | mbqi project |
| mbqi_project_verbose | Global | mbqi project verbose |
| mc | Global | mc |
| memory | Global | memory |
| merge_theory_vars | Global | merge theory vars |
| mf_simp_bug | auf_solver | mf simp bug |
| mg_top_sort | Global | mg top sort |
| mgcd | Global | mgcd |
| mgcd_bug | Global | mgcd bug |
| mgcd_call | Global | mgcd call |
| mgcd_detail | Global | mgcd detail |
| missing_instance | mam_impl | missing instance |
| missing_instance_detail | Global | missing instance detail |
| missing_propagation | Global | missing propagation |
| mk_and_bug | Global | mk and bug |
| mk_and_cnstr | Global | mk and cnstr |
| mk_and_elim | Global | mk and elim |
| mk_arith_var | Global | mk arith var |
| mk_asserted_bug | Global | mk asserted bug |
| mk_axioms_bug | Global | mk axioms bug |
| mk_bool_var | Global | mk bool var |
| mk_bound_axioms | Global | mk bound axioms |
| mk_clause | Global | mk clause |
| mk_clause_result | Global | mk clause result |
| mk_conflict_proof | Global | mk conflict proof |
| mk_constraint_bug | imp | mk constraint bug |
| mk_definition_bug | Global | mk definition bug |
| mk_enode | Global | mk enode |
| mk_enode_detail | Global | mk enode detail |
| mk_filter_rules | Global | mk filter rules |
| mk_iff_cnstr | Global | mk iff cnstr |
| mk_le_bug | Global | mk le bug |
| mk_lemma | Global | mk lemma |
| mk_modus_ponens | Global | mk modus ponens |
| mk_mul_eq | Global | mk mul eq |
| mk_pbc | imp | mk pbc |
| mk_proof | Global | mk proof |
| mk_quantifier | parser | mk quantifier |
| mk_th_axiom | Global | mk th axiom |
| mk_th_lemma | Global | mk th lemma |
| mk_transitivity | Global | mk transitivity |
| mk_unit_resolution_bug | Global | mk unit resolution bug |
| mk_var_bug | Global | mk var bug |
| mod_bug | Global | mod bug |
| model | Global | model |
| model_bug | Global | model bug |
| model_checker | Global | model checker |
| model_checker_bug_detail | Global | model checker bug detail |
| model_constructor | Global | model constructor |
| model_converter | Global | model converter |
| model_evaluator | Global | model evaluator |
| model_finder | Global | model finder |
| model_finder_bug | quantifier_analyzer | model finder bug |
| model_finder_bug_detail | Global | model finder bug detail |
| model_finder_hint | Global | model finder hint |
| model_fresh_bug | Global | model fresh bug |
| model_generator_bug | Global | model generator bug |
| model_smt2_pp | Global | model smt2 pp |
| model_validate | Global | model validate |
| model_verbose | Global | model verbose |
| monomial_manager | monomial_manager | monomial manager |
| monomial_mul_bug | monomial_manager | monomial mul bug |
| move_unconstrained_to_base | Global | move unconstrained to base |
| mp_iff_justification | Global | mp iff justification |
| mpbq_bug | Global | mpbq bug |
| mpf_dbg | Global | mpf dbg |
| mpf_dbg_rem | Global | mpf dbg rem |
| mpf_dbg_sbv | Global | mpf dbg sbv |
| mpf_mul_bug | Global | mpf mul bug |
| mpff | Global | mpff |
| mpff_bug | Global | mpff bug |
| mpff_div | Global | mpff div |
| mpff_power | Global | mpff power |
| mpff_to_mpq | Global | mpff to mpq |
| mpff_trace | Global | mpff trace |
| mpfx | Global | mpfx |
| mpfx_power | Global | mpfx power |
| mpfx_trace | Global | mpfx trace |
| mpn | Global | mpn |
| mpn_dbg | Global | mpn dbg |
| mpn_div | Global | mpn div |
| mpn_div1 | Global | mpn div1 |
| mpn_norm | Global | mpn norm |
| mpn_to_string | Global | mpn to string |
| mpq | Global | mpq |
| mpq_set | Global | mpq set |
| mpz | Global | mpz |
| mpz_2k | Global | mpz 2k |
| mpz_gcd | Global | mpz gcd |
| mpz_matrix | Global | mpz matrix |
| mpz_mul2k | Global | mpz mul2k |
| mpzp_inv_bug | Global | mpzp inv bug |
| mpzzp | Global | mpzzp |
| mul_bug | Global | mul bug |
| mus | Global | mus |
| name_expr | parser | name expr |
| name_exprs | name_nested_formulas | name exprs |
| name_nested_formulas | name_nested_formulas | name nested formulas |
| nary_tactical | nary_tactical | nary tactical |
| nary_tactical_updt_params | nary_tactical | nary tactical updt params |
| network_flow | Global | network flow |
| new_bound | Global | new bound |
| new_dt_eh | Global | new dt eh |
| new_entries_bug | Global | new entries bug |
| newton | Global | newton |
| nex_details | Global | nex details |
| nex_gt | Global | nex gt |
| nl_arith_bug | Global | nl arith bug |
| nl_branching | Global | nl branching |
| nl_evaluate | Global | nl evaluate |
| nl_info | Global | nl info |
| nl_value | Global | nl value |
| nla | Global | nla |
| nla2bv | get_uninterp_proc | nla2bv |
| nla2bv_verbose | imp | nla2bv verbose |
| nla_cn | Global | nla cn |
| nla_cn_ | Global | nla cn  |
| nla_cn_common_factor | Global | nla cn common factor |
| nla_cn_details | Global | nla cn details |
| nla_cn_test | Global | nla cn test |
| nla_grobner | Global | nla grobner |
| nla_horner | Global | nla horner |
| nla_intervals | Global | nla intervals |
| nla_intervals_details | Global | nla intervals details |
| nla_solver | Global | nla solver |
| nla_solver_bl | Global | nla solver bl |
| nla_solver_check_monic | Global | nla solver check monic |
| nla_solver_details | Global | nla solver details |
| nla_solver_div | Global | nla solver div |
| nla_solver_eq | Global | nla solver eq |
| nla_solver_mons | Global | nla solver mons |
| nla_solver_tp | tangent_imp | nla solver tp |
| nla_solver_verbose | Global | nla solver verbose |
| nla_test | Global | nla test |
| nla_test_ | Global | nla test  |
| nlarith | nlarith_plugin | nlarith |
| nlarith_plugin | nlarith_plugin | nlarith plugin |
| nlarith_verbose | Global | nlarith verbose |
| nlsat | imp | nlsat |
| nlsat_assign | Global | nlsat assign |
| nlsat_bool_assignment | Global | nlsat bool assignment |
| nlsat_bool_assignment_bug | Global | nlsat bool assignment bug |
| nlsat_bug | Global | nlsat bug |
| nlsat_evaluator | Global | nlsat evaluator |
| nlsat_evaluator_bug | Global | nlsat evaluator bug |
| nlsat_explain | Global | nlsat explain |
| nlsat_factor | Global | nlsat factor |
| nlsat_fd | Global | nlsat fd |
| nlsat_inf_set | Global | nlsat inf set |
| nlsat_interval | Global | nlsat interval |
| nlsat_lazy | Global | nlsat lazy |
| nlsat_mathematica | Global | nlsat mathematica |
| nlsat_minimize | Global | nlsat minimize |
| nlsat_model | Global | nlsat model |
| nlsat_proof | Global | nlsat proof |
| nlsat_proof_sk | Global | nlsat proof sk |
| nlsat_reorder | Global | nlsat reorder |
| nlsat_reorder_clauses | Global | nlsat reorder clauses |
| nlsat_resolve | Global | nlsat resolve |
| nlsat_resolve_done | Global | nlsat resolve done |
| nlsat_root | Global | nlsat root |
| nlsat_simpilfy_core | Global | nlsat simpilfy core |
| nlsat_simplify_core | Global | nlsat simplify core |
| nlsat_smt2 | Global | nlsat smt2 |
| nlsat_solver | Global | nlsat solver |
| nlsat_sort | Global | nlsat sort |
| nlsat_table_bug | Global | nlsat table bug |
| nlsat_verbose | Global | nlsat verbose |
| nnf | nnf | nnf |
| nnf_bug | Global | nnf bug |
| nnf_result | Global | nnf result |
| no_overflow | Global | no overflow |
| non_diff_logic | Global | non diff logic |
| non_linear | Global | non linear |
| non_linear_bug | Global | non linear bug |
| non_linear_gb | Global | non linear gb |
| non_linear_verbose | Global | non linear verbose |
| nondet_bug | Global | nondet bug |
| norm_eq_proof | Global | norm eq proof |
| norm_eq_proof_bug | Global | norm eq proof bug |
| normalize_bounds_tactic | imp | normalize bounds tactic |
| normalize_fraction_bug | Global | normalize fraction bug |
| nra | Global | nra |
| nth_root | Global | nth root |
| nth_root_bug | Global | nth root bug |
| nth_root_trace | Global | nth root trace |
| num_bits_bug | imp | num bits bug |
| object_allocator | Global | object allocator |
| old_interval | Global | old interval |
| old_spacer | Global | old spacer |
| opt | Global | opt |
| opt1 | Global | opt1 |
| opt_verbose | Global | opt verbose |
| optional | Global | optional |
| p2expr_bug | Global | p2expr bug |
| parent_bug | Global | parent bug |
| parray | Global | parray |
| parray_mem | Global | parray mem |
| parse_bv_numeral | parser | parse bv numeral |
| parse_expr | parser | parse expr |
| parse_numeral | parser | parse numeral |
| parse_qualified_name | parser | parse qualified name |
| parse_quantifier | parser | parse quantifier |
| parse_sorted_vars | parser | parse sorted vars |
| parser | parser | parser |
| parser_error | parser | parser error |
| patch_int | Global | patch int |
| pattern_inference | Global | pattern inference |
| pattern_inference_skolem | Global | pattern inference skolem |
| pb | Global | pb |
| pb2bv | imp | pb2bv |
| pb2bv_bug | imp | pb2bv bug |
| pb2bv_bv | imp | pb2bv bv |
| pb2bv_bv_detail | imp | pb2bv bv detail |
| pb2bv_convert | imp | pb2bv convert |
| pb_validate | Global | pb validate |
| pb_verbose | Global | pb verbose |
| pbsum | lia_rewriter_cfg | pbsum |
| pconstructor_decl | Global | pconstructor decl |
| pcs | Global | pcs |
| pdecl_manager | Global | pdecl manager |
| pdr | Global | pdr |
| pdr_verbose | Global | pdr verbose |
| phase_selection | Global | phase selection |
| pi_failed | Global | pi failed |
| pivot_bignums | Global | pivot bignums |
| pivot_bug | Global | pivot bug |
| pivot_shape | Global | pivot shape |
| pivot_stats | Global | pivot stats |
| plugin | Global | plugin |
| pob | pob | pob |
| pob_queue | Global | pob queue |
| poly_bug | polynomial | poly bug |
| poly_rewriter | Global | poly rewriter |
| polynomial | Global | polynomial |
| polynomial_factorization | Global | polynomial::factorization |
| polynomial_factorization__bughunt | berlekamp_matrix | polynomial factorization bug hunt |
| polynomial_factorization_bughunt | Global | polynomial::factorization::bughunt |
| polynomial_gcd | Global | polynomial gcd |
| polynomial_gcd_detail | Global | polynomial gcd detail |
| polynorm | polynorm | polynorm |
| pool_solver | pool_solver | pool solver |
| pop | combined_solver | pop |
| pop_app_frame | parser | pop app frame |
| pop_scope | Global | pop scope |
| pop_scope_detail | Global | pop scope detail |
| pp_ast_dot_step | ast_pp_dot_st | pp ast dot step |
| pp_let | smt2_printer | pp let |
| pp_scope | smt2_printer | pp scope |
| pr_lemma_bug | Global | pr lemma bug |
| pr_unit_bug | Global | pr unit bug |
| probe | is_non_nira_functor | probe |
| probing | Global | probing |
| process_non_linear | Global | process non linear |
| proof_checker | Global | proof checker |
| proof_converter | Global | proof converter |
| proof_gen_bug | Global | proof gen bug |
| proof_utils | push_instantiations_up_cl | proof utils |
| proof_virtual | Global | proof_virtual |
| propagate | Global | propagate |
| propagate_atoms | Global | propagate atoms |
| propagate_bool_var_enode_bug | Global | propagate bool var enode bug |
| propagate_bounds | Global | propagate bounds |
| propagate_bounds_bug | Global | propagate bounds bug |
| propagate_bounds_detail | Global | propagate bounds detail |
| propagate_bug | Global | propagate bug |
| propagate_clause | Global | propagate clause |
| propagate_clause_bug | Global | propagate clause bug |
| propagate_ineqs | Global | propagate-ineqs |
| propagate_monomial | Global | propagate monomial |
| propagate_nl_bound | Global | propagate nl bound |
| propagate_polynomial | Global | propagate polynomial |
| propagate_polynomial_bug | Global | propagate polynomial bug |
| propagate_polynomial_detail | Global | propagate polynomial detail |
| propagate_relevancy | Global | propagate relevancy |
| propagate_relevancy_to_args | relevancy_propagator_imp | propagate relevancy to args |
| propagate_relevant_ite | relevancy_propagator_imp | propagate relevant ite |
| propagate_values | expr_substitution_simplifier | propagate values |
| propagate_values_core | propagate_values_tactic | propagate values core |
| propagate_values_tactic | propagate_values_tactic | propagate values tactic |
| proto_model | Global | proto model |
| psc | Global | psc |
| psc_chain_classic | Global | psc chain classic |
| pseudo_remainder | Global | pseudo remainder |
| psolve | Global | psolve |
| psolve_verbose | Global | psolve verbose |
| pull_quant | Global | pull quant |
| purify_arith | purify_arith_proc | purify arith |
| purify_arith_proc | purify_arith_proc | purify arith proc |
| push_app_ite | Global | push app ite |
| push_expr_frame | parser | push expr frame |
| push_instantiations_up_cl | push_instantiations_up_cl | push instantiations up cl |
| push_ite | th_rewriter_cfg | push ite |
| push_new_th_diseqs | Global | push new th diseqs |
| q | mam_impl | q |
| q_detail | Global | q detail |
| qe | Global | qe |
| qe_assumptions | Global | qe assumptions |
| qe_block | qsat | qe block |
| qe_core | kernel | qe core |
| qe_debug | Global | qe debug |
| qe_def | eq_der | qe def |
| qe_lite | Global | qe lite |
| qe_verbose | Global | qe verbose |
| qi_cost | Global | qi cost |
| qi_queue | Global | qi queue |
| qi_queue_bug | Global | qi queue bug |
| qi_queue_detail | Global | qi queue detail |
| qi_queue_min_cost | Global | qi queue min cost |
| qi_queue_profile | Global | qi queue profile |
| qi_queue_profile_detail | Global | qi queue profile detail |
| qi_unsat | Global | qi unsat |
| qsat | qsat | qsat |
| quant_elim | bool_plugin | quant elim |
| quantifier | default_qm_plugin | quantifier |
| quantifier_analyzer | quantifier_analyzer | quantifier analyzer |
| quasi_base_bug_detail | Global | quasi base bug detail |
| quasi_base_row2base_row | Global | quasi base row2base row |
| quasi_macros | Global | quasi macros |
| quick_checker | Global | quick checker |
| quick_checker_candidates | Global | quick checker candidates |
| quick_checker_canonizer | Global | quick checker canonizer |
| quick_checker_sizes | Global | quick checker sizes |
| random | Global | random |
| random_split | Global | random split |
| random_update | Global | random update |
| rat_mpq | Global | rat mpq |
| rational | Global | rational |
| rcf_TaQ | Global | rcf TaQ |
| rcf_algebraic | Global | rcf algebraic |
| rcf_algebraic_sign | Global | rcf algebraic sign |
| rcf_arith | Global | rcf arith |
| rcf_clean | Global | rcf clean |
| rcf_clean_bug | Global | rcf clean bug |
| rcf_count_signs | Global | rcf count signs |
| rcf_determine_sign_bug | Global | rcf determine sign bug |
| rcf_gcd | Global | rcf gcd |
| rcf_isolate | Global | rcf isolate |
| rcf_isolate_bug | Global | rcf isolate bug |
| rcf_prem | Global | rcf prem |
| rcf_rem | Global | rcf rem |
| rcf_sign_det | Global | rcf sign det |
| rcf_sturm_seq | Global | rcf sturm seq |
| rcf_transcendental | Global | rcf transcendental |
| rdl_bug | Global | rdl bug |
| re_info | Global | re info |
| reassert_units | Global | reassert units |
| recfun | Global | recfun |
| recognizer_conflict | Global | recognizer conflict |
| recover_01 | imp | recover 01 |
| reduce_app | Global | reduce app |
| reduce_args | reduce_args_simplifier | reduce args |
| reduce_args_simplifier | reduce_args_simplifier | reduce args simplifier |
| reduce_quantifier | th_rewriter_cfg | reduce quantifier |
| reduce_quantifier_bug | Global | reduce quantifier bug |
| reduce_step_ll | Global | reduce step ll |
| ref | Global | ref |
| refine_epsilon | Global | refine epsilon |
| reinit_clauses | Global | reinit clauses |
| reinit_clauses_bug | Global | reinit clauses bug |
| relevancy | Global | relevancy |
| relevancy_bug | Global | relevancy bug |
| relevancy_propagator_imp | relevancy_propagator_imp | relevancy propagator imp |
| rem_bug | Global | rem bug |
| rename | Global | rename |
| reorder | Global | reorder |
| report_costs | join_planner | report costs |
| resolve_bug | Global | resolve bug |
| resolve_conflict_bug | Global | resolve conflict bug |
| resolve_conflict_crash | Global | resolve conflict crash |
| restore_assignment_bug | Global | restore assignment bug |
| resultant | Global | resultant |
| rewriter | Global | rewriter |
| rewriter_bug | Global | rewriter bug |
| rewriter_cache_result | Global | rewriter cache result |
| rewriter_const | Global | rewriter const |
| rewriter_reuse | Global | rewriter reuse |
| rewriter_step | Global | rewriter step |
| rewriter_subst | Global | rewriter subst |
| rewriter_visit | Global | rewriter visit |
| root_core | Global | root core |
| row_bug | Global | row bug |
| rw_cfg | rw_cfg | rw cfg |
| sat | inc_sat_solver | sat |
| sat_assign | Global | sat assign |
| sat_assign_core | Global | sat assign core |
| sat_bug | Global | sat bug |
| sat_clause | Global | sat clause |
| sat_cleaner_bug | Global | sat cleaner bug |
| sat_cleaner_frozen | Global | sat cleaner frozen |
| sat_conflict | Global | sat conflict |
| sat_conflict_detail | Global | sat conflict detail |
| sat_decide | Global | sat decide |
| sat_dimacs | imp | sat dimacs |
| sat_drat | Global | sat drat |
| sat_frozen | Global | sat frozen |
| sat_gc | Global | sat gc |
| sat_lemma | Global | sat lemma |
| sat_mc | Global | sat mc |
| sat_mc_bug | Global | sat mc bug |
| sat_missed_prop | Global | sat missed prop |
| sat_mk_clause | Global | sat mk clause |
| sat_model_bug | Global | sat model bug |
| sat_model_converter | Global | sat model converter |
| sat_propagate | Global | sat propagate |
| sat_reinit | Global | sat reinit |
| sat_simplifier | Global | sat simplifier |
| sat_stats | sat_tactic | sat stats |
| sat_tactic | imp | sat tactic |
| sat_verbose | Global | sat verbose |
| sat_watched_bug | Global | sat watched bug |
| sat_xor | Global | sat xor |
| sats | Global | sats |
| save_elim | Global | save elim |
| save_value | Global | save value |
| scanner | Global | scanner |
| scc | Global | scc |
| scc_cycle | Global | scc cycle |
| scc_detail | Global | scc detail |
| scc_details | Global | scc details |
| search | Global | search |
| search_bug | Global | search bug |
| search_detail | Global | search detail |
| search_lite | Global | search lite |
| select_pivot | Global | select pivot |
| select_pivot_info | Global | select pivot info |
| select_small | Global | select small |
| select_var | select_var | select var |
| seq | Global | seq |
| seq_regex | Global | seq regex |
| seq_regex_brief | Global | seq regex brief |
| seq_regex_verbose | Global | seq regex verbose |
| seq_verbose | Global | seq verbose |
| set_conflict | Global | set conflict |
| set_not_learned_bug | Global | set not learned bug |
| setup | Global | setup |
| sf_array | Global | sf array |
| shallow_context_simplifier_bug | propagate_values_tactic | shallow context simplifier bug |
| shared | Global | shared |
| sign | Global | sign |
| sign_row_conflict | Global | sign row conflict |
| simp_counter | Global | simp counter |
| simple_check | Global | simple check |
| simple_checker | Global | simple checker |
| simple_checker_learned | Global | simple checker learned |
| simple_parser | Global | simple parser |
| simplex | Global | simplex |
| simplifier | Global | simplifier |
| simplifier_solver | simplifier_solver | simplifier solver |
| simplify | Global | simplify |
| simplify_aux_clause_literals | Global | simplify aux clause literals |
| simplify_aux_lemma_literals | Global | simplify aux lemma literals |
| simplify_clauses | Global | simplify clauses |
| simplify_clauses_bug | Global | simplify clauses bug |
| simplify_clauses_detail | Global | simplify clauses detail |
| sine | Global | sine |
| sine_bug | Global | sine bug |
| skeleton | Global | skeleton |
| skid | parser | skid |
| skolemizer | skolemizer | skolemizer |
| sls | Global | sls |
| sls_eval | Global | sls eval |
| sls_model | sls_tactic | sls model |
| sls_opt | Global | sls opt |
| sls_score | Global | sls score |
| sls_tactic | sls_tactic | sls tactic |
| sls_top | Global | sls top |
| sls_verbose | Global | sls verbose |
| sls_whatif | Global | sls whatif |
| sls_whatif_failed | Global | sls whatif failed |
| small_object_allocator | Global | small object allocator |
| smaller_pattern_proc | Global | smaller pattern proc |
| smt2_pp | smt2_printer | smt2 pp |
| smt2_printer | smt2_printer | smt2 printer |
| smt2parser | parser | smt2parser |
| smt_context | Global | smt context |
| smt_kernel | Global | smt kernel |
| smt_params | Global | smt params |
| smt_tactic | smt_tactic | smt tactic |
| smt_tactic_detail | smt_tactic | smt tactic detail |
| smt_tactic_memory | smt_tactic | smt tactic memory |
| smt_tactic_params | smt_tactic | smt tactic params |
| smtfd | solver | smtfd |
| smtfd_verbose | solver | smtfd verbose |
| solve_eqs | Global | solve eqs |
| solve_eqs_check_occs | Global | solve eqs check occs |
| solver | simplifier_solver | solver |
| solver2tactic | solver2tactic | solver2tactic |
| solver_na2as | Global | solver na2as |
| som | Global | som |
| sorted_sources | Global | sorted sources |
| spacer | conv_rewriter_cfg | spacer |
| spacer_detail | Global | spacer detail |
| spacer_expand | Global | spacer expand |
| spacer_farkas | Global | spacer.farkas |
| spacer_fkab | Global | spacer.fkab |
| spacer_ind_gen | pool_solver | spacer.ind gen |
| spacer_init_rule | Global | spacer init rule |
| spacer_limnum | Global | spacer.limnum |
| spacer_mbp | Global | spacer mbp |
| spacer_mincut | Global | spacer.mincut |
| spacer_normalize | Global | spacer normalize |
| spacer_normalize_order | Global | spacer normalize order |
| spacer_pdr | Global | spacer pdr |
| spacer_progress | Global | spacer progress |
| spacer_qgen | Global | spacer qgen |
| spacer_sat | Global | spacer sat |
| spacer_timeit | pob | spacer timeit |
| spacer_verbose | Global | spacer verbose |
| sparse_interpolator | Global | sparse interpolator |
| special_relations | Global | special relations |
| special_relations_verbose | Global | special relations verbose |
| specrel | Global | specrel |
| split_bug | imp | split bug |
| split_clause_tactic | split_clause_tactic | split clause tactic |
| spol_bug | Global | spol bug |
| sqrt_bug | Global | sqrt bug |
| st | Global | st |
| st_bug | Global | st bug |
| state_graph | Global | state graph |
| str | Global | str |
| str_fl | Global | str fl |
| string_buffer | Global | string buffer |
| subpaving | Global | subpaving |
| subpaving_clause | Global | subpaving clause |
| subpaving_init | Global | subpaving init |
| subpaving_int_split | Global | subpaving int split |
| subpaving_is_int | Global | subpaving is int |
| subpaving_main | Global | subpaving main |
| subpaving_mk_bound | Global | subpaving mk bound |
| subpaving_mk_sum | Global | subpaving mk sum |
| subpaving_propagate | Global | subpaving propagate |
| subpaving_ref_count | Global | subpaving ref count |
| subpaving_relevant_bound | Global | subpaving relevant bound |
| subpaving_relevant_bound_bug | Global | subpaving relevant bound bug |
| subpaving_stats | Global | subpaving stats |
| subpaving_tactic | imp | subpaving tactic |
| subst_bug | Global | subst bug |
| subst_insert | Global | subst insert |
| subst_tree_bug | Global | subst tree bug |
| substitution | Global | substitution |
| substitution_tree_bug | Global | substitution tree bug |
| subsume | Global | subsume |
| subsume_verb | Global | subsume verb |
| subsumption | Global | subsumption |
| subsumption_bug | Global | subsumption bug |
| subsumption_resolution | Global | subsumption resolution |
| symmetry_reduce | imp | symmetry reduce |
| sync | parser | sync |
| t_fpa | Global | t fpa |
| t_fpa_detail | Global | t fpa detail |
| t_fpa_internalize | Global | t fpa internalize |
| t_str | Global | t str |
| t_str_binary_search | Global | t str binary search |
| t_str_detail | theory_str | t str detail |
| t_str_dump_assign | theory_str | dump assign |
| t_str_dump_assign_on_scope_change | theory_str | dump assign on scope change |
| tactic | tactic2solver | tactic |
| tactic2solver | tactic2solver | tactic2solver |
| tan | Global | tan |
| tangent_imp | tangent_imp | tangent imp |
| tc | well_sorted_proc | tc |
| th_rewriter_cfg | th_rewriter_cfg | th rewriter cfg |
| th_rewriter_step | th_rewriter_cfg | th rewriter step |
| theory_arith | Global | theory arith |
| theory_aware_branching | theory_aware_branching_queue | theory aware branching |
| theory_aware_branching_queue | theory_aware_branching_queue | theory aware branching queue |
| theory_case_split | Global | theory case split |
| theory_dl | theory_dl | theory dl |
| theory_str | theory_str | theory str |
| to_patch_bug | Global | to patch bug |
| to_real_bug | Global | to real bug |
| to_var_bug | imp | to var bug |
| top_sort | eq_der | top sort |
| total_order | Global | total order |
| trace_tactic | trace_tactic | trace tactic |
| trigger_bug | mam_impl | trigger bug |
| triggers | Global | triggers |
| try_ite_value | Global | try ite value |
| tseitin_cnf | imp | tseitin cnf |
| tseitin_cnf_bug | imp | tseitin cnf bug |
| unassigned_atoms | Global | unassigned atoms |
| undo_mk_bool_var | Global | undo mk bool var |
| undo_mk_enode | Global | undo mk enode |
| unifier | Global | unifier |
| union_find | Global | union find |
| unit_bug | Global | unit bug |
| unit_resolution | Global | unit resolution |
| unit_resolution_justification_bug | Global | unit resolution justification bug |
| unit_subsumption_tactic | unit_subsumption_tactic | unit subsumption tactic |
| unsat_core | Global | unsat core |
| unsat_core_bug | Global | unsat core bug |
| unsat_core_trail | Global | unsat core trail |
| unsupported | imp | unsupported |
| update_and_pivot_bug | Global | update and pivot bug |
| update_and_pivot_bug_detail | Global | update and pivot bug detail |
| update_quantifier_weight | Global | update quantifier weight |
| upolynomial | Global | upolynomial |
| user_propagate | Global | user propagate |
| using_params | using_params_tactical | using params |
| using_params_tactical | using_params_tactical | using params tactical |
| util_bug | Global | util bug |
| utvpi | Global | utvpi |
| valid_row_assignment | Global | valid row assignment |
| valid_row_assignment_bug | Global | valid row assignment bug |
| value_bug | Global | value bug |
| value_sweep | Global | value sweep |
| var2basic | Global | var2basic |
| var_subst | Global | var subst |
| var_subst_bug | Global | var subst bug |
| visit_b_justification_bug | Global | visit b justification bug |
| watch_list | Global | watch list |
| well_sorted_proc | well_sorted_proc | well sorted proc |
| wf_column | Global | wf column |
| ws | well_sorted_proc | ws |
| xor3 | Global | xor3 |
| xor3_sorted | Global | xor3 sorted |
| z3_replayer | Global | z3 replayer |
| z3_replayer_bug | Global | z3 replayer bug |
| z3_replayer_cmd | Global | z3 replayer cmd |
| z3_replayer_escape | Global | z3 replayer escape |
